View Issue Details

IDProjectCategoryView StatusLast Update
0017267LazarusLCLpublic2011-12-01 11:24
ReporterSENAssigned ToMarc Weustink 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.3 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0017267: Not correct show PNG
DescriptionNot show PNG but load it.
TagsNo tags attached.
Fixed in Revision27242
LazTarget-
WidgetsetGTK 2, QT
Attached Files

Activities

2010-08-26 09:14

 

error_image.png (14,779 bytes)
error_image.png (14,779 bytes)

Zeljan Rikalo

2010-08-26 09:15

developer   ~0040452

It's fixed in 0.9.29 svn.So please test with trunk.

SEN

2010-08-30 12:46

reporter   ~0040635

hm,rev 27236 but bug is present...

Zeljan Rikalo

2010-08-30 13:28

developer   ~0040643

Ok, then please attach example project which shows problem, also write more infos:
1.Operating system (Linux, Win32, MacOSX)
2.Qt version (very important).

Zeljan Rikalo

2010-08-30 21:14

developer   ~0040664

Gtk2 also doesn't show this image. Win32 is ok.

Marc Weustink

2010-08-31 23:36

administrator   ~0040696

Last edited: 2010-08-31 23:37

r27242 is a workaround for fpc2.4. It is fixed in fpc r15926
The error image is a palettebased image with alpha channel.
The fpc-image PNG reader expanded the byte -> word alpha channel wrong, so the MSByte of the alpha channel was missing.

Issue History

Date Modified Username Field Change
2010-08-26 09:14 SEN New Issue
2010-08-26 09:14 SEN File Added: error_image.png
2010-08-26 09:14 SEN Widgetset => QT
2010-08-26 09:15 Zeljan Rikalo LazTarget => -
2010-08-26 09:15 Zeljan Rikalo Note Added: 0040452
2010-08-26 09:15 Zeljan Rikalo Status new => feedback
2010-08-27 18:58 Zeljan Rikalo Status feedback => assigned
2010-08-27 18:58 Zeljan Rikalo Assigned To => Zeljan Rikalo
2010-08-30 12:46 SEN Note Added: 0040635
2010-08-30 13:28 Zeljan Rikalo Note Added: 0040643
2010-08-30 13:28 Zeljan Rikalo Status assigned => feedback
2010-08-30 21:14 Zeljan Rikalo Widgetset QT => GTK 2, QT
2010-08-30 21:14 Zeljan Rikalo Note Added: 0040664
2010-08-31 23:32 Marc Weustink Assigned To Zeljan Rikalo => Marc Weustink
2010-08-31 23:32 Marc Weustink Status feedback => assigned
2010-08-31 23:36 Marc Weustink Fixed in Revision => 27242
2010-08-31 23:36 Marc Weustink Status assigned => resolved
2010-08-31 23:36 Marc Weustink Fixed in Version => 0.9.29 (SVN)
2010-08-31 23:36 Marc Weustink Resolution open => fixed
2010-08-31 23:36 Marc Weustink Note Added: 0040696
2010-08-31 23:37 Marc Weustink Note Edited: 0040696
2011-12-01 11:24 Marc Weustink Status resolved => closed